summaryrefslogtreecommitdiffstats
path: root/utils/hooks/20-update-dtb-sample
diff options
context:
space:
mode:
Diffstat (limited to 'utils/hooks/20-update-dtb-sample')
-rw-r--r--utils/hooks/20-update-dtb-sample22
1 files changed, 22 insertions, 0 deletions
diff --git a/utils/hooks/20-update-dtb-sample b/utils/hooks/20-update-dtb-sample
new file mode 100644
index 0000000..44186a9
--- /dev/null
+++ b/utils/hooks/20-update-dtb-sample
@@ -0,0 +1,22 @@
+#!/bin/sh
+#
+# This is a sample boot hook to add a single property to the new kernel's
+# device tree.
+
+[ -z "$boot_dtb" ] && exit
+
+dtb_in=$boot_dtb
+dtb_out=$(mktemp)
+
+# Convert the dtb to dts, append our extra property, and convert back to dtb
+(
+ dtc -I dtb -O dts $dtb_in
+ echo '/ { petitboot,test = "test"; };'
+) | dtc -I dts -O dtb -o $dtb_out
+
+# If we have a good dtb (ie, the compile succeeded), replace the existing
+# dtb file.
+if [ $? = 0 ]
+then
+ mv $dtb_out $dtb_in
+fi
OpenPOWER on IntegriCloud